Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class YesNoConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.EnumerationConfigOption
              net.hyperic.util.config.YesNoConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class YesNoConfigOption
extends EnumerationConfigOption

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `NO`
`static java.lang.String` `YES`

Constructor Summary
`protected` `YesNoConfigOption()` Should only be used by serializer/deserializer
`` `YesNoConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Methods inherited from class net.hyperic.util.config.EnumerationConfigOption
`addValue, checkOptionIsValid, getTransport, getValues`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### YES

    public static java.lang.String YES

### NO

    public static java.lang.String NO

Constructor Detail

### YesNoConfigOption

    protected YesNoConfigOption()

  Should only be used by serializer/deserializer

### YesNoConfigOption

    public YesNoConfigOption(java.lang.String optName,
                             java.lang.String optDesc,
                             java.lang.String defValue)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.